<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(homeurl.' - Переход на сторонний сайт!');
$title->GetHeader();

//echo'<div class="row"><div class="col-sm-6">
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: Переход по ссылке</div></div></div>';
echo'<div class="t-body"><div class="list-group lg-alt">';

$site = check($_SERVER['HTTP_HOST']);
if (!isset($_GET['url']) or empty($_GET['url'])) {
header('Location: /');
die();
} else {
$url = base64_decode(str_rot13(check($_GET['url'])));
}

if (stripos($url, $site) !== FALSE) {
$url = htmlspecialchars_decode($url);
header('Location: ' . $url);
}
echo'<div class="list-group-item media"><b>Внимание!</b> Вы покидаете сайт <b>' . homeurl . '</b> по внешней ссылке <b>' . $url . '</b>, предоставленной одним из участников.<br/>
Администрация не несет ответственности за содержимое ресурса <b>' . $url . '</b>, и настоятельно рекомендует не указывать никаких своих данных,имеющих отношение к <b>'.homeurl.'</b> (особенно e-mail, пароль и cookies), на сторонних сайтах.<br/><br/>Кроме того, сайт <b>' . $url . '</b> может содержать вирусы, трояны и другие вредоносные программы,
опасные для Вашего компьютера или телефона.<br/>Если у Вас нет серьезных оснований доверять этому сайту, лучше всего на него не переходить,
даже если Вы якобы получили эту ссылку от одного из Ваших друзей.<br/><br/>Если Вы еще не передумали, нажмите <a href="' . $url . '"class="btn btn-primary" target="newtab">Переход на сайт</a><br/>Если Вы не хотите рисковать безопасностью, нажмите <a href="/"class="btn btn-primary">Отмена</a></div></div></div>';

$title->GetMenu();
$title->GetFooter();
?>
